package com.ruoyi.warehouseBusiness.domain.vo;

import com.ruoyi.basicData.domain.TCorps;
import com.ruoyi.basicData.domain.TFees;
import com.ruoyi.warehouseBusiness.domain.TWarehouseBills;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfeesModify;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author caifc
 * @date 2021-10-22 9:43
 */
public class WarehouseBillsFeesModifyVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 仓库主表信息
     */
    private TWarehouseBills warehouseMaster;

    /**
     *  费用信息
     */
    private List<TWarehousebillsfeesModify> warehousebillsfeesModifyList;

    /**
     * 费用信息
     */
    private List<TFees> feesList;

    /**
     * 客户信息
     */
    private List<TCorps> corpsList;

    public TWarehouseBills getWarehouseMaster() {
        return warehouseMaster;
    }

    public void setWarehouseMaster(TWarehouseBills warehouseMaster) {
        this.warehouseMaster = warehouseMaster;
    }

    public List<TWarehousebillsfeesModify> getWarehousebillsfeesModifyList() {
        return warehousebillsfeesModifyList;
    }

    public void setWarehousebillsfeesModifyList(List<TWarehousebillsfeesModify> warehousebillsfeesModifyList) {
        this.warehousebillsfeesModifyList = warehousebillsfeesModifyList;
    }

    public List<TFees> getFeesList() {
        return feesList;
    }

    public void setFeesList(List<TFees> feesList) {
        this.feesList = feesList;
    }

    public List<TCorps> getCorpsList() {
        return corpsList;
    }

    public void setCorpsList(List<TCorps> corpsList) {
        this.corpsList = corpsList;
    }

    @Override
    public String toString() {
        return "WarehouseBillsFeesModifyVO{" +
                "warehouseMaster=" + warehouseMaster +
                ", warehousebillsfeesModifyList=" + warehousebillsfeesModifyList +
                ", feesList=" + feesList +
                ", corpsList=" + corpsList +
                '}';
    }
}
